Why You NEED to Update PHP to the Recommended Version for WordPress

As of June 2019, WordPress increased the recommended PHP version to 7.3 or greater. It is important to keep not only WordPress core, plugins, and themes updated but also the version of the underlining code PHP. Doing so will make your site more secure, faster, leaner, less resource hungry and just overall better.